import { createRouter, createWebHistory } from "vue-router";

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/test',
      name: 'test',
      // route level code-splitting
      // this generates a separate chunk (About.[hash].js) for this route
      // which is lazy-loaded when the route is visited.
      component: () => import('../views/testComponent.vue'),
    },
    {
      path: '/login',
      name: 'login',
      component: () => import('../components/LoginComponent.vue'),
    },
    {
      path: '/',
      name: 'Admin-main',
      component: () => import('../views/AdminMain.vue'),
    },

// route pour les canvas (made by adnane), in fact the two vue apps are separated for now  
    {
      path: '/canvas',
      name: 'canvas',
      component: () => import('../views/CanvasView.vue'),
    },

    {
      path: '/signup',
      name: 'signup',
      component: () => import('../views/EntrepSignUp.vue'),
    },
  ],
})

export default router;
